Bug 247466 - gdb src.rpm won't build in ppc32/ppc64 environment
gdb src.rpm won't build in ppc32/ppc64 environment
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gdb (Show other bugs)
5.0
ppc64 Linux
low Severity low
: ---
: ---
Assigned To: Jan Kratochvil
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-09 10:43 EDT by Petr Muller
Modified: 2016-09-19 22:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0332
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped buildlog (33.87 KB, application/x-gzip)
2007-07-09 10:45 EDT, Petr Muller
no flags Details
Backported fix. (799 bytes, patch)
2007-08-15 19:31 EDT, Jan Kratochvil
no flags Details | Diff

  None (edit)
Description Petr Muller 2007-07-09 10:43:01 EDT
Description of problem:
When building gdb from src.rpm on a ppc64 box with mixed ppc32/ppc64 
environment, the build gets architecture-confused and fails with messsages like:

/usr/bin/ld: warning: powerpc:common64 architecture of input file `version.o' 
is incompatible with powerpc:common output

/usr/src/redhat/BUILD/gdb-6.5/build-ppc64-redhat-linux-gnu/gdb/
gdbserver/../../../gdb/gdbserver/inferiors.c:109: relocation truncated to fit: 
R_PPC64_REL24 against `malloc'

Version-Release number of selected component (if applicable):
gdb-6.5-16.el5 and newer (errata candidates for 5.0.z and 5.1)

How reproducible:
always, when you have mixed ppc32/ppc64 environment 

Steps to Reproduce:
1. rpm -ihv gdb-6.5-16.el5.src.rpm
2. rpmbuild -ba /usr/src/redhat/SPECS/gdb.spec
3. kaboom
  
Actual results:
build fails

Expected results:
build succeeds

Additional info:
# uname -a
Linux 2.6.18-8.el5 #1 SMP Fri Jan 26 14:19:36 EST 2007 ppc64 ppc64 ppc64 GNU/
Linux

I'll attach full buildlog
Comment 1 Petr Muller 2007-07-09 10:45:48 EDT
Created attachment 158776 [details]
gzipped buildlog
Comment 2 Jan Kratochvil 2007-08-15 19:31:58 EDT
Created attachment 161413 [details]
Backported fix.
Comment 3 RHEL Product and Program Management 2007-10-15 23:55:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jan Kratochvil 2007-12-04 08:56:23 EST
Comitted to the RHEL-5 CVS:
* Tue Dec  4 2007 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.5-26
- Fix rpm rebuild for PowerPC normal (biarch 32/64) installations (BZ 247466).
Comment 10 errata-xmlrpc 2008-05-21 12:55:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0332.html

Note You need to log in before you can comment on or make changes to this bug.